Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365569 - SELinux is preventing apache from reading systemid file
Summary: SELinux is preventing apache from reading systemid file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Proxy Server
Version: 2.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space28
TreeView+ depends on / blocked
 
Reported: 2016-08-09 14:52 UTC by Danny L. Schuh
Modified: 2018-04-20 12:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 12:31:01 UTC


Attachments (Terms of Use)

Description Danny L. Schuh 2016-08-09 14:52:56 UTC
Description of problem:
When client attempts to register through the proxy server, it receives an error:
# rhnreg_ks --serverUrl=https://proxy-servername/XMLRPC --sslCACert=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT --activationkey=mykey
An error has occurred:
rhn-plugin: Error communicating with server. The message was:

Error Message:
    Spacewalk Proxy error (Spacewalk Proxy systemid has wrong permissions?). Please contact your system administrator.
Error Class Code: 1000
Error Class Info: Spacewalk Proxy error.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

See /var/log/up2date for more information
#
Same error shows in /var/log/up2date

Version-Release number of selected component (if applicable):
# yum list installed | grep -Ei 'spacewalk|proxy|rhn'
Loaded plugins: fastestmirror, rhnplugin
This system is receiving updates from RHN Classic or Red Hat Satellite.
libproxy.x86_64                0.4.11-8.el7         @anaconda                   
perl-HTTP-ProxyAutoConfig.noarch
rhn-org-httpd-ssl-key-pair-sw-proxy.noarch
rhn-org-trusted-ssl-cert.noarch
                               1.0-1                @/rhn-org-trusted-ssl-cert-1.0-1.noarch
rhncfg.noarch                  5.10.93-1.el7        @c20160709-spacewalk-client-2.5-el7
rhncfg-actions.noarch          5.10.93-1.el7        @c20160709-spacewalk-client-2.5-el7
rhncfg-client.noarch           5.10.93-1.el7        @c20160709-spacewalk-client-2.5-el7
rhncfg-management.noarch       5.10.93-1.el7        @c20160709-spacewalk-client-2.5-el7
rhnpush.noarch                 5.5.98-1.el7         @c20160709-spacewalk-2.5-el7
spacewalk-backend.noarch       2.5.43-1.el7         @c20160709-spacewalk-2.5-el7
spacewalk-backend-libs.noarch  2.5.43-1.el7         @c20160709-spacewalk-2.5-el7
spacewalk-backend-usix.noarch  2.5.43-1.el7         @c20160709-spacewalk-2.5-el7
spacewalk-certs-tools.noarch   2.5.3-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-broker.noarch  2.5.2-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-common.noarch  2.5.2-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-docs.noarch    2.3.1-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-html.noarch    2.5.1-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-installer.noarch
                               2.5.2-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-management.noarch
                               2.5.2-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-package-manager.noarch
                               2.5.2-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-redirect.noarch
                               2.5.2-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-proxy-selinux.noarch 2.0.1-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-setup-jabberd.noarch 2.3.2-1.el7          @c20160709-spacewalk-2.5-el7
spacewalk-ssl-cert-check.noarch
                               1:2.4-1.el7          @c20160709-spacewalk-2.5-el7
# 

How reproducible:
This has occurred on all 3 of my proxies.  The proxies had also failed to register themselves as proxies with the main spacewalk server during installation, although we didn't see anything during install that caught our attention.  Re-running the configure-proxy.sh script appeared to clear up the issue.  However, it returned after the systems were restarted.

Steps to Reproduce:
1.  Perform an installation
2.  Restart system
3.

Actual results:
Clients fail to register with the spacewalk environment

Expected results:
Clients should register with the spacewalk environment

Additional info:

Performing 'setenforce 0' clears the issue.

Logs from the proxy server:
/var/log/rhn/rhn_proxy_broker.log:
2016/08/09 08:56:10 -05:00 2132 192.0.2.203: proxy/apacheServer.__call__('New request, component proxy.broker',)
2016/08/09 08:56:10 -05:00 2132 192.0.2.202: proxy/rhnProxyAuth.__processSystemid('ERROR', 'unable to access /etc/sysconfig/rhn/systemid')
2016/08/09 08:59:24 -05:00 2136 192.0.2.206: proxy/apacheServer.__call__('New request, component proxy.broker',)
2016/08/09 08:59:24 -05:00 2136 192.0.2.200: proxy/rhnProxyAuth.__processSystemid('ERROR', 'unable to access /etc/sysconfig/rhn/systemid')
2016/08/09 08:59:38 -05:00 2137 192.0.2.201: proxy/apacheServer.__call__('New request, component proxy.broker',)
2016/08/09 08:59:38 -05:00 2137 192.0.2.211: proxy/rhnProxyAuth.__processSystemid('ERROR', 'unable to access /etc/sysconfig/rhn/systemid')

/var/log/httpd/error.log:
[Tue Aug 09 08:59:24.060038 2016] [:error] [pid 2136] Spacewalk 2136 2016/08/09 08:59:24 -05:00: ('unable to access /etc/sysconfig/rhn/systemid',)
[Tue Aug 09 08:59:24.061849 2016] [:error] [pid 2136] Exception reported from sw-proxy.myco.com
[Tue Aug 09 08:59:24.061871 2016] [:error] [pid 2136] Time: Tue Aug  9 08:59:24 2016
[Tue Aug 09 08:59:24.061874 2016] [:error] [pid 2136] Exception type <class 'spacewalk.common.rhnException.rhnFault'>
[Tue Aug 09 08:59:24.061877 2016] [:error] [pid 2136] Exception while handling function handler
[Tue Aug 09 08:59:24.061891 2016] [:error] [pid 2136] Request object information:
[Tue Aug 09 08:59:24.061894 2016] [:error] [pid 2136] URI: /XMLRPC
[Tue Aug 09 08:59:24.061896 2016] [:error] [pid 2136] Remote Host: sw-client.myco.com
[Tue Aug 09 08:59:24.061899 2016] [:error] [pid 2136] Server Name: sw-proxy.myco.com:80
[Tue Aug 09 08:59:24.061901 2016] [:error] [pid 2136] Headers passed in:
[Tue Aug 09 08:59:24.061904 2016] [:error] [pid 2136] \tAccept-Encoding: identity
[Tue Aug 09 08:59:24.061906 2016] [:error] [pid 2136] \tCONTENT_LENGTH: 122
[Tue Aug 09 08:59:24.061908 2016] [:error] [pid 2136] \tCONTENT_TYPE: text/xml
[Tue Aug 09 08:59:24.061911 2016] [:error] [pid 2136] \tCONTEXT_DOCUMENT_ROOT: /var/www/html
[Tue Aug 09 08:59:24.061913 2016] [:error] [pid 2136] \tCONTEXT_PREFIX: 
[Tue Aug 09 08:59:24.061915 2016] [:error] [pid 2136] \tDOCUMENT_ROOT: /var/www/html
[Tue Aug 09 08:59:24.061917 2016] [:error] [pid 2136] \tGATEWAY_INTERFACE: CGI/1.1
[Tue Aug 09 08:59:24.061920 2016] [:error] [pid 2136] \tHTTP_ACCEPT_ENCODING: identity
[Tue Aug 09 08:59:24.061922 2016] [:error] [pid 2136] \tHTTP_HOST: sw-proxy.myco.com
[Tue Aug 09 08:59:24.061924 2016] [:error] [pid 2136] \tHTTP_USER_AGENT: rhn.rpclib.py/2.5.87-1.el7
[Tue Aug 09 08:59:24.061926 2016] [:error] [pid 2136] \tHTTP_X_CLIENT_VERSION: 1
[Tue Aug 09 08:59:24.061929 2016] [:error] [pid 2136] \tHTTP_X_INFO: RPC Processor (C) Red Hat, Inc (version 2.5.87-1.el7)
[Tue Aug 09 08:59:24.061932 2016] [:error] [pid 2136] \tHTTP_X_RHN_CLIENT_CAPABILITY: caneatCheese(1)=1,packages.extended_profile(2)=1,reboot.reboot(1)=1,packages.verify(1)=1,packages.runTransaction(1)=1,packages.update(2)=2,packages.rollBack(1)=1
[Tue Aug 09 08:59:24.061935 2016] [:error] [pid 2136] \tHTTP_X_RHN_TRANSPORT_CAPABILITY: follow-redirects=3
[Tue Aug 09 08:59:24.061937 2016] [:error] [pid 2136] \tHTTP_X_TRANSPORT_INFO: Extended Capabilities Transport (C) Red Hat, Inc (version 2.5.87-1.el7)
[Tue Aug 09 08:59:24.061940 2016] [:error] [pid 2136] \tHTTP_X_UP2DATE_VERSION: 2.5.16-1.el7
[Tue Aug 09 08:59:24.061942 2016] [:error] [pid 2136] \tHost: sw-proxy.myco.com
[Tue Aug 09 08:59:24.061945 2016] [:error] [pid 2136] \tPATH_INFO: 
[Tue Aug 09 08:59:24.061947 2016] [:error] [pid 2136] \tQUERY_STRING: 
[Tue Aug 09 08:59:24.061949 2016] [:error] [pid 2136] \tREMOTE_ADDR: 192.0.2.200
[Tue Aug 09 08:59:24.061952 2016] [:error] [pid 2136] \tREMOTE_PORT: 39745
[Tue Aug 09 08:59:24.061954 2016] [:error] [pid 2136] \tREQUEST_METHOD: POST
[Tue Aug 09 08:59:24.061956 2016] [:error] [pid 2136] \tREQUEST_SCHEME: http
[Tue Aug 09 08:59:24.061959 2016] [:error] [pid 2136] \tREQUEST_URI: /XMLRPC
[Tue Aug 09 08:59:24.061961 2016] [:error] [pid 2136] \tSCRIPT_FILENAME: /usr/share/rhn/wsgi/xmlrpc.py
[Tue Aug 09 08:59:24.061963 2016] [:error] [pid 2136] \tSCRIPT_NAME: /XMLRPC
[Tue Aug 09 08:59:24.061966 2016] [:error] [pid 2136] \tSCRIPT_URI: http://sw-proxy.myco.com/XMLRPC
[Tue Aug 09 08:59:24.061968 2016] [:error] [pid 2136] \tSCRIPT_URL: /XMLRPC
[Tue Aug 09 08:59:24.061970 2016] [:error] [pid 2136] \tSERVER_ADDR: 198.51.100.181
[Tue Aug 09 08:59:24.061973 2016] [:error] [pid 2136] \tSERVER_ADMIN: root@localhost
[Tue Aug 09 08:59:24.061975 2016] [:error] [pid 2136] \tSERVER_NAME: sw-proxy.myco.com
[Tue Aug 09 08:59:24.061977 2016] [:error] [pid 2136] \tSERVER_PORT: 80
[Tue Aug 09 08:59:24.061980 2016] [:error] [pid 2136] \tSERVER_PROTOCOL: HTTP/1.1
[Tue Aug 09 08:59:24.061982 2016] [:error] [pid 2136] \tSERVER_SIGNATURE: 
[Tue Aug 09 08:59:24.061984 2016] [:error] [pid 2136] \tSERVER_SOFTWARE: Apache/2.4.6 (CentOS) OpenSSL/1.0.1e-fips mod_wsgi/3.4 Python/2.7.5
[Tue Aug 09 08:59:24.061987 2016] [:error] [pid 2136] \tUNIQUE_ID: V6nhvNwSqMl1UBdHeOt6ZgAAAAI
[Tue Aug 09 08:59:24.061989 2016] [:error] [pid 2136] \tUser-Agent: rhn.rpclib.py/2.5.87-1.el7
[Tue Aug 09 08:59:24.061992 2016] [:error] [pid 2136] \tX-Client-Version: 1
[Tue Aug 09 08:59:24.061994 2016] [:error] [pid 2136] \tX-Info: RPC Processor (C) Red Hat, Inc (version 2.5.87-1.el7)
[Tue Aug 09 08:59:24.061997 2016] [:error] [pid 2136] \tX-RHN-Client-Capability: caneatCheese(1)=1,packages.extended_profile(2)=1,reboot.reboot(1)=1,packages.verify(1)=1,packages.runTransaction(1)=1,packages.update(2)=2,packages.rollBack(1)=1
[Tue Aug 09 08:59:24.062012 2016] [:error] [pid 2136] \tX-RHN-Transport-Capability: follow-redirects=3
[Tue Aug 09 08:59:24.062015 2016] [:error] [pid 2136] \tX-Transport-Info: Extended Capabilities Transport (C) Red Hat, Inc (version 2.5.87-1.el7)
[Tue Aug 09 08:59:24.062018 2016] [:error] [pid 2136] \tX-Up2Date-Version: 2.5.16-1.el7
[Tue Aug 09 08:59:24.062020 2016] [:error] [pid 2136] \tmod_wsgi.application_group: sw-proxy.myco.com|/xmlrpc
[Tue Aug 09 08:59:24.062023 2016] [:error] [pid 2136] \tmod_wsgi.callable_object: application
[Tue Aug 09 08:59:24.062025 2016] [:error] [pid 2136] \tmod_wsgi.enable_sendfile: 0
[Tue Aug 09 08:59:24.062027 2016] [:error] [pid 2136] \tmod_wsgi.handler_script: 
[Tue Aug 09 08:59:24.062029 2016] [:error] [pid 2136] \tmod_wsgi.input_chunked: 0
[Tue Aug 09 08:59:24.062031 2016] [:error] [pid 2136] \tmod_wsgi.listener_host: 
[Tue Aug 09 08:59:24.062034 2016] [:error] [pid 2136] \tmod_wsgi.listener_port: 80
[Tue Aug 09 08:59:24.062036 2016] [:error] [pid 2136] \tmod_wsgi.process_group: 
[Tue Aug 09 08:59:24.062038 2016] [:error] [pid 2136] \tmod_wsgi.queue_start: 1470751164054897
[Tue Aug 09 08:59:24.062040 2016] [:error] [pid 2136] \tmod_wsgi.request_handler: wsgi-script
[Tue Aug 09 08:59:24.062042 2016] [:error] [pid 2136] \tmod_wsgi.script_reloading: 1
[Tue Aug 09 08:59:24.062045 2016] [:error] [pid 2136] \tmod_wsgi.version: (3, 4)
[Tue Aug 09 08:59:24.062047 2016] [:error] [pid 2136] \twsgi.errors: <mod_wsgi.Log object at 0x7fbb672349b0>
[Tue Aug 09 08:59:24.062049 2016] [:error] [pid 2136] \twsgi.file_wrapper: <built-in method file_wrapper of mod_wsgi.Adapter object at 0x7fbb67358e40>
[Tue Aug 09 08:59:24.062052 2016] [:error] [pid 2136] \twsgi.input: <cStringIO.StringO object at 0x7fbb6764d848>
[Tue Aug 09 08:59:24.062054 2016] [:error] [pid 2136] \twsgi.multiprocess: True
[Tue Aug 09 08:59:24.062056 2016] [:error] [pid 2136] \twsgi.multithread: False
[Tue Aug 09 08:59:24.062059 2016] [:error] [pid 2136] \twsgi.run_once: False
[Tue Aug 09 08:59:24.062061 2016] [:error] [pid 2136] \twsgi.url_scheme: http
[Tue Aug 09 08:59:24.062063 2016] [:error] [pid 2136] \twsgi.version: (1, 0)
[Tue Aug 09 08:59:24.062065 2016] [:error] [pid 2136] Extra information about this error:
[Tue Aug 09 08:59:24.062067 2016] [:error] [pid 2136] Unhandled exception type
[Tue Aug 09 08:59:24.062070 2016] [:error] [pid 2136] 
[Tue Aug 09 08:59:24.062072 2016] [:error] [pid 2136] Exception Handler Information
[Tue Aug 09 08:59:24.062074 2016] [:error] [pid 2136] Traceback (most recent call last):
[Tue Aug 09 08:59:24.062076 2016] [:error] [pid 2136]   File "/usr/share/rhn/proxy/apacheServer.py", line 63, in __call__
[Tue Aug 09 08:59:24.062079 2016] [:error] [pid 2136]     ret = f(req)
[Tue Aug 09 08:59:24.062081 2016] [:error] [pid 2136]   File "/usr/share/rhn/proxy/apacheHandler.py", line 350, in handler
[Tue Aug 09 08:59:24.062084 2016] [:error] [pid 2136]     handlerObj = rhnBroker.BrokerHandler(req)
[Tue Aug 09 08:59:24.062086 2016] [:error] [pid 2136]   File "/usr/share/rhn/proxy/broker/rhnBroker.py", line 107, in __init__
[Tue Aug 09 08:59:24.062089 2016] [:error] [pid 2136]     self.proxyAuth = proxy.rhnProxyAuth.get_proxy_auth(hostname)
[Tue Aug 09 08:59:24.062091 2016] [:error] [pid 2136]   File "/usr/share/rhn/proxy/rhnProxyAuth.py", line 52, in get_proxy_auth
[Tue Aug 09 08:59:24.062093 2016] [:error] [pid 2136]     __PROXY_AUTH = ProxyAuth(hostname)
[Tue Aug 09 08:59:24.062096 2016] [:error] [pid 2136]   File "/usr/share/rhn/proxy/rhnProxyAuth.py", line 72, in __init__
[Tue Aug 09 08:59:24.062098 2016] [:error] [pid 2136]     self.__processSystemid()
[Tue Aug 09 08:59:24.062100 2016] [:error] [pid 2136]   File "/usr/share/rhn/proxy/rhnProxyAuth.py", line 81, in __processSystemid
[Tue Aug 09 08:59:24.062103 2016] [:error] [pid 2136]     _("Spacewalk Proxy error (Spacewalk Proxy systemid has wrong permissions?). "
[Tue Aug 09 08:59:24.062115 2016] [:error] [pid 2136] rhnFault: (1000, 'Spacewalk Proxy error (Spacewalk Proxy systemid has wrong permissions?). Please contact your system administrator.', 'Spacewalk Proxy error
.')
[Tue Aug 09 08:59:24.062123 2016] [:error] [pid 2136] 
[Tue Aug 09 08:59:24.063207 2016] [:error] [pid 2136] [client 192.0.2.200:39745] mod_wsgi (pid=2136): Exception occurred processing WSGI script '/usr/share/rhn/wsgi/xmlrpc.py'.
[Tue Aug 09 08:59:24.063244 2016] [:error] [pid 2136] [client 192.0.2.200:39745] Traceback (most recent call last):
[Tue Aug 09 08:59:24.063262 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/share/rhn/wsgi/xmlrpc.py", line 23, in application
[Tue Aug 09 08:59:24.063289 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     "proxy.apacheServer")
[Tue Aug 09 08:59:24.063300 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/share/rhn/wsgi/wsgiHandler.py", line 44, in handle
[Tue Aug 09 08:59:24.063424 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     ret = appServ(req)
[Tue Aug 09 08:59:24.063438 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/share/rhn/proxy/apacheServer.py", line 69, in __call__
[Tue Aug 09 08:59:24.063455 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     severity="unhandled")
[Tue Aug 09 08:59:24.063466 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/lib/python2.7/site-packages/spacewalk/common/rhnTB.py", line 188, in Traceback
[Tue Aug 09 08:59:24.063494 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     rhnMail.send(headers, outstring)
[Tue Aug 09 08:59:24.063507 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/lib/python2.7/site-packages/spacewalk/common/rhnMail.py", line 60, in send
[Tue Aug 09 08:59:24.063526 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     server = smtplib.SMTP('localhost')
[Tue Aug 09 08:59:24.063537 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/lib64/python2.7/smtplib.py", line 255, in __init__
[Tue Aug 09 08:59:24.063571 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     (code, msg) = self.connect(host, port)
[Tue Aug 09 08:59:24.063583 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/lib64/python2.7/smtplib.py", line 315, in connect
[Tue Aug 09 08:59:24.063602 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     self.sock = self._get_socket(host, port, self.timeout)
[Tue Aug 09 08:59:24.063613 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/lib64/python2.7/smtplib.py", line 290, in _get_socket
[Tue Aug 09 08:59:24.063629 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     return socket.create_connection((host, port), timeout)
[Tue Aug 09 08:59:24.063640 2016] [:error] [pid 2136] [client 192.0.2.200:39745]   File "/usr/lib64/python2.7/socket.py", line 571, in create_connection
[Tue Aug 09 08:59:24.063657 2016] [:error] [pid 2136] [client 192.0.2.200:39745]     raise err
[Tue Aug 09 08:59:24.063674 2016] [:error] [pid 2136] [client 192.0.2.200:39745] error: [Errno 13] Permission denied

# ls -alZ /etc/sysconfig/rhn/systemid 
-rw-r-----. root apache unconfined_u:object_r:rhnsd_conf_t:s0 /etc/sysconfig/rhn/systemid
# ps auxfZ | grep httpd
system_u:system_r:httpd_t:s0    root      1322  0.0  0.2 257708  8040 ?        Ss   Aug08   0:04 /usr/sbin/httpd -DFOREGROUND
system_u:system_r:httpd_t:s0    apache    2132  0.0  0.5 372272 21004 ?        S    Aug08   0:00  \_ /usr/sbin/httpd -DFOREGROUND
system_u:system_r:httpd_t:s0    apache    2135  0.0  0.5 372164 21016 ?        S    Aug08   0:00  \_ /usr/sbin/httpd -DFOREGROUND
system_u:system_r:httpd_t:s0    apache    2136  0.0  0.5 372164 21028 ?        S    Aug08   0:00  \_ /usr/sbin/httpd -DFOREGROUND
system_u:system_r:httpd_t:s0    apache    2137  0.0  0.5 372836 21628 ?        S    Aug08   0:00  \_ /usr/sbin/httpd -DFOREGROUND
system_u:system_r:httpd_t:s0    apache    2138  0.0  0.5 372772 21624 ?        S    Aug08   0:00  \_ /usr/sbin/httpd -DFOREGROUND
system_u:system_r:httpd_t:s0    apache   11157  0.0  0.5 375268 23056 ?        S    Aug08   0:00  \_ /usr/sbin/httpd -DFOREGROUND
system_u:system_r:httpd_t:s0    apache   12546  0.0  0.5 371968 20592 ?        S    09:01   0:00  \_ /usr/sbin/httpd -DFOREGROUND
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 12609 0.0  0.0 112648 968 pts/0 S+ 09:43   0:00                      \_ grep --color=auto httpd
# 
# find /etc/selinux/ -type f -exec grep -Hi systemid {} \;
#

Comment 1 Laurence Rochfort 2018-03-21 11:15:08 UTC
Fix provided in GitHub pull request 632.

https://github.com/spacewalkproject/spacewalk/pull/632

Comment 2 Tomáš Kašpárek 2018-03-23 09:32:55 UTC
spacewlk.git(master): 331ee9b1f8df60bc7062d9690a626e655eb59f4a

Comment 3 Jiří Dostál 2018-03-26 12:16:23 UTC
Moving ON_QA

Comment 4 Jiří Dostál 2018-04-20 12:31:01 UTC
Spacewalk 2.8 has been released.
https://github.com/spacewalkproject/spacewalk/wiki/ReleaseNotes28


Note You need to log in before you can comment on or make changes to this bug.